corda / net.corda.core.contracts.clauses / verifyClause

# verifyClause

`fun <C : CommandData> verifyClause(tx: TransactionForContract, clause: Clause<ContractState, C, Unit>, commands: List<AuthenticatedObject<C>>): Unit`

Verify a transaction against the given list of clauses.

### Parameters

`tx` - transaction to be verified.

`clauses` - the clauses to verify.

`commands` - commands extracted from the transaction, which are relevant to the clauses.